﻿/// <binding BeforeBuild='all' />
/*
This file in the main entry point for defining Gulp tasks and using Gulp plugins.
Click here to learn more. http://go.microsoft.com/fwlink/?LinkId=518007
*/

var gulp = require('gulp');

gulp.task('scripts', function () {

    var typescript = require("gulp-typescript");
    var concat = require("gulp-concat");
    var uglify = require("gulp-uglify");

    gulp.src("./scripts/*.ts")
    .pipe(typescript())
    .pipe(concat("app.js"))
    .pipe(uglify())
    .pipe(gulp.dest("./wwwroot/scripts"));
});

gulp.task('styles', function () {

    var less = require('gulp-less');
    var minify = require('gulp-minify-css');
    var concat = require("gulp-concat");

    gulp.src(['./styles/*.less', 'bower_components/cardinal/cardinal.less'])
    .pipe(less())
    .pipe(concat('app.css'))
    .pipe(minify())
    .pipe(gulp.dest('./wwwroot/styles'));


});

gulp.task('all', ['styles', 'scripts'], function () { });